/*Coutts fonts*/
@font-face {
  font-family: 'CouttsSienaLight';
  src: url('./fonts/CouttsSienaWeb-Light.woff2') format('woff2'),
    url('./fonts/CouttsSienaWeb-Light.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'CouttsFormeGrtRegular';
  src: url('./fonts/CouttsFormeGrt-Regular.woff2') format('woff2'),
    url('./fonts/CouttsFormeGrt-Regular.woff') format('woff');
  font-display: swap;
}

/* Coutts error styles */
html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  background: #ffffff;
  color: #2c2c2c;
  font-family: CouttsFormeGrtRegular, sans-serif;
  font-size: 16px;
  line-height: 21px;
}

a {
  color: #400718;
}

a:hover {
  text-decoration: none;
}

#banner {
  height: 72px;
  min-height: 72px;
  width: 100%;
  background-color: #400718;
}

#header-container {
  max-width: 1024px;
  margin: 0 auto;
  padding: 0 24px;
  height: 100%;
  display: flex;
  align-items: center;
}

#logo {
  height: 38px;
  vertical-align: middle;
}

main {
  width: 100%;
  flex: 1;
}

#error_message {
  max-width: 1024px;
  text-align: left;
  margin: 0 auto;
  padding: 24px 24px;
}

#error_message h1 {
  font-family: CouttsSienaLight, sans-serif;
  font-weight: normal;
  font-size: 56px;
  line-height: 120%;
  margin: 24px 0;
}

#error_message p {
  margin: 16px 0;
}

footer {
  margin: auto 0 0;
  width: 100%;
  font-family: CouttsSienaLight, sans-serif;
  color: #ffffff;
  background-color: #400718;
}

#footer-container {
  display: flex;
  min-height: 80px;
  text-align: center;
  align-items: center;
}

#footer-container ul {
  max-width: 1024px;
  width: 100%;
  margin: 16px auto;
  padding: 0;
  list-style: none;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

#footer-container li {
  margin: 0 24px;
  flex-basis: auto;
}

#copy {
  text-align: center;
  margin: 0;
  padding: 16px 0;
  font-family: CouttsFormeGrtRegular, sans-serif;
  font-size: 16px;
  line-height: 24px;
  display: none;
}

#footer-container a {
  color: #ffffff;
  text-decoration: none;
}

#footer-container a:hover {
  text-decoration: underline;
}

/* Responsive styling */
@media (max-width: 1024px) {
  #header-container {
    justify-content: center;
  }
}

@media (max-width: 768px) {
  body {
    font-size: 16px;
    line-height: 24px;
  }

  #error_message h1 {
    font-size: 32px;
    line-height: 52px;
  }

  footer {
    font-size: 16px;
    line-height: 20px;
  }

  #footer-container {
    text-align: left;
  }

  #footer-container ul {
    margin: 0 24px 16px;
  }

  #footer-container li {
    margin: 16px 0 0;
    flex-basis: 45%;
  }
}